/* *******************************************************
 * This code created and or modified by Chris Lasater
 * http://www.geocities.com/lasaterconsult
 * Please refer all questions or comments to chris.lasater@gmail.com
 * 
 * You can use this code however you like, but please, make sure you give me 
 * credit on any publishings you do from this code. 
 * 
 * No warrenty is implied for any code here.
 * 
 *  ******************************************************* 
 */


using System;

namespace Properties.Entity
{
	/// <summary>
	/// Summary description for EntityAttribute.
	/// </summary>
	public class EntityAttribute
	{
		private string _attributeName;
		private object _attributeObject;
		private Type _attributeType;
				
		public EntityAttribute(string name, object obj, Type type)
		{
			_attributeName = name;
			_attributeObject = obj;
			_attributeType = type;	
		}   
				
		public string Name
		{
			get{return _attributeName;}
			set{_attributeName = value;}					
		}
				
		public object Value
		{
			get{return _attributeObject;}
			set{_attributeObject = value;}					
		}
				
		public Type TypeOf
		{
			get{return _attributeType;}
			set{_attributeType = value;}					
		}
	}
}
