/* *******************************************************
 * This code created and or modified by Chris Lasater
 * http://www.geocities.com/lasaterconsult
 * Please refer all questions or comments to chris.lasater@gmail.com
 * 
 * You can use this code however you like, but please, make sure you give me 
 * credit on any publishings you do from this code. 
 * 
 * No warrenty is implied for any code here.
 * 
 *  ******************************************************* 
 */

using System;


namespace Properties.Entity
{
	/// <summary>
	/// Summary description for EntityType.
	/// </summary>
	public abstract class EntityType
	{                    
		private string _typeName;
		private Type _type;
		private EntityAttributeCollection _attributes = new EntityAttributeCollection();
		
		public EntityType(string name, Type type)
		{
			_typeName = name;			
			_type = type;	
		}   
				
		public string Name
		{
			get{return _typeName;}
			set{_typeName = value;}					
		}		
				
		public Type TypeOf
		{
			get{return _type;}
			set{_type = value;}					
		}
				
		public EntityAttributeCollection Attributes
		{
			get{return _attributes;}
			set{_attributes = value;}					
		}
				
	}
}
