/* *******************************************************
 * This code created and or modified by Chris Lasater
 * http://www.geocities.com/lasaterconsult
 * Please refer all questions or comments to chris.lasater@gmail.com
 * 
 * You can use this code however you like, but please, make sure you give me 
 * credit on any publishings you do from this code. 
 * 
 * No warrenty is implied for any code here.
 * 
 *  ******************************************************* 
 */


using System;

using Properties.Entity;

namespace Properties.ImplClasses
{
	/// <summary>
	/// JobEntity is the Implementation object
	/// </summary>
	public class JobEntity
	{
		private EntityType _entityType;
		/// <summary>
		/// 
		/// </summary>
		/// <param name="entityType"></param>
		public JobEntity(EntityType entityType)
		{
			_entityType = entityType;
			Console.WriteLine("..." + this.GetType().Name + " initialized with EntityType " +
				_entityType.Name);
			
			foreach(EntityAttribute attribute in _entityType.Attributes)
				Console.WriteLine("...Attribute{" + attribute.Name +"} Type:" + 
					attribute.TypeOf + ", Value:" + attribute.Value.ToString());
			
		}
		/// <summary>
		/// 
		/// </summary>
		public EntityType EntityTypeOf
		{
			get{return _entityType;}
		}
	}
}
